<?php
if(file_exists("../../config/config_dir_raiz.php")) { require_once("../../config/config_dir_raiz.php"); } elseif(file_exists("config/config_dir_raiz.php")) { require_once("config/config_dir_raiz.php"); }
$config = new Config();
require_once($config->diretorio_raiz()."/src/model/bd/Bi_layout_importacaoDAO.php");
$bi_layout_importacaoDAO = new Bi_layout_importacaoDAO();
require_once($config->diretorio_raiz()."/src/model/bd/Bi_usuarioDAO.php");
$bi_usuarioDAO = new Bi_usuarioDAO(); 
$retorno = array();
if (isset($_GET["mod"]) && $_GET["mod"] == "form")
{
	if ( (isset($_GET["codigo"]) and $_GET["codigo"] != "")  )
	{
		$bi_layout_importacao = $bi_layout_importacaoDAO->buscarBi_layout_importacao($_GET["codigo"]);
	}else{
		$bi_layout_importacao = new Bi_layout_importacao();
		$bi_layout_importacao->setUsuario_incluiu(new Bi_usuario());
	}
	$listaUsuario_incluiu = $bi_usuarioDAO->listarTodosRegistros(); 
	if (isset($_GET["usuario_incluiu"]) and $_GET["usuario_incluiu"] != "")
	{
		$bi_layout_importacao->setUsuario_incluiu($bi_usuarioDAO->buscarBi_usuario($_GET["usuario_incluiu"]));
		$campo_buscar = "&usuario_incluiu=".$_GET["usuario_incluiu"]; 
	}
	include_once($config->diretorio_raiz()."/src/view/bi_layout_importacao/Formulario.php");
}
elseif (isset($_GET["mod"]) && ($_GET["mod"] == "salvar" or $_GET["mod"] == "alterar"))
{
	$bi_layout_importacao = new Bi_layout_importacao();
	$bi_layout_importacao->setCodigo($_POST['codigo']);
	$bi_layout_importacao->setNome($_POST['nome']);
	$bi_layout_importacao->setDescricao($_POST['descricao']);
	$dateData_inclusao = new DateTime;
	$bi_layout_importacao->setData_inclusao($dateData_inclusao);
	$bi_layout_importacao->setUsuario_incluiu($_POST['usuario_incluiu']);
	$bi_layout_importacao->setLinha_inicia_cabecalho($_POST['linha_inicia_cabecalho']);
	$bi_layout_importacao->setColuna_testa_fim($_POST['coluna_testa_fim']);
	$bi_layout_importacao->setTexto_teste_fim($_POST['texto_teste_fim']);
	$codigo = "";
	if ($_GET["mod"] == "alterar")
	{
		$bi_layout_importacao->setCodigo($_POST['codigo']);
		$codigo = $bi_layout_importacao->getCodigo();
		try
		{
			$retorno["mensagem"] = "Alterado com sucesso!";
			$retorno["status"] = true;
			$bi_layout_importacaoDAO->atualizar($bi_layout_importacao);
		}
		catch (Exception  $e)
		{
			$retorno["mensagem"] = $e->getMessage();
			$retorno["status"] = false;
		}
	}
	else
	{
		try
		{
			$retorno["mensagem"] = "Inserido com sucesso!";
			$retorno["status"] = true;
			$codigo = $bi_layout_importacaoDAO->salvar($bi_layout_importacao);
		}
		catch (Exception  $e)
		{
			$retorno["mensagem"] = $e->getMessage();
			$retorno["status"] = false;
		}
	}
	echo json_encode($retorno);
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "excluir")
{
	try
	{
		$bi_layout_importacao = $bi_layout_importacaoDAO->buscarBi_layout_importacao($_GET["codigo"]);
		$bi_layout_importacaoDAO->excluir($bi_layout_importacao);
		$retorno["mensagem"] = utf8_decode("Excluido com sucesso!");
		$retorno["status"] = true;
	}
	catch (Exception  $e)
	{
		$retorno["mensagem"] = $e->getMessage();
		$retorno["status"] = false;
	}
	echo json_encode($retorno);
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "listar")
{
	if (isset($_GET["usuario_incluiu"]) and $_GET["usuario_incluiu"] != "")
	{
		$campo_buscar = "&usuario_incluiu=".$_GET["usuario_incluiu"]; 
	}
	$listaBi_layout_importacao = $bi_layout_importacaoDAO->listarTodosRegistros();
	include_once($config->diretorio_raiz()."/src/view/bi_layout_importacao/Listar_todos_registros.php");
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "filtro")
{
	if ( (isset($_GET["codigo"]) and $_GET["codigo"] != "")  )
	{
		$bi_layout_importacao = $bi_layout_importacaoDAO->buscarBi_layout_importacao($_GET["codigo"]);
	}else{
		$bi_layout_importacao = new Bi_layout_importacao();
		$bi_layout_importacao->setUsuario_incluiu(new Bi_usuario());
	}
	$listaUsuario_incluiu = $bi_usuarioDAO->listarTodosRegistros(); 
	if (isset($_GET["usuario_incluiu"]) and $_GET["usuario_incluiu"] != "")
	{
		$bi_layout_importacao->setUsuario_incluiu($bi_usuarioDAO->buscarBi_usuario($_GET["usuario_incluiu"]));
		$campo_buscar = "&usuario_incluiu=".$_GET["usuario_incluiu"]; 
	}
	include_once($config->diretorio_raiz()."/src/view/bi_layout_importacao/Filtro_lista_registros.php");
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "busca_por_campo_filtro")
{
	$entrouEmAlgumFiltro = false;
 	$where = " where 1=1";
	if(isset($_GET['codigo']) and $_GET["codigo"] != "" )
	{
		$where .= " and UPPER(codigo) like '%".strtoupper($_GET['codigo'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&codigo=".$_GET["codigo"]; 
	}
	if(isset($_POST['codigo']) and $_POST["codigo"] != "" )
	{
		$where .= " and UPPER(codigo) like '%".strtoupper($_POST['codigo'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&codigo=".$_POST["codigo"]; 
	}
	if(isset($_GET['nome']) and $_GET["nome"] != "" )
	{
		$where .= " and UPPER(nome) like '%".strtoupper($_GET['nome'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&nome=".$_GET["nome"]; 
	}
	if(isset($_POST['nome']) and $_POST["nome"] != "" )
	{
		$where .= " and UPPER(nome) like '%".strtoupper($_POST['nome'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&nome=".$_POST["nome"]; 
	}
	if(isset($_GET['descricao']) and $_GET["descricao"] != "" )
	{
		$where .= " and UPPER(descricao) like '%".strtoupper($_GET['descricao'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&descricao=".$_GET["descricao"]; 
	}
	if(isset($_POST['descricao']) and $_POST["descricao"] != "" )
	{
		$where .= " and UPPER(descricao) like '%".strtoupper($_POST['descricao'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&descricao=".$_POST["descricao"]; 
	}
	if(isset($_GET['data_inclusaoIni']) and $_GET['data_inclusaoIni'] != "" and $_GET['data_inclusaoFim'] != "")
	{
		$dateIni = DateTime::createFromFormat('d/m/Y H:i', $_GET['data_inclusaoIni']);
		$dateFim = DateTime::createFromFormat('d/m/Y H:i', $_GET['data_inclusaoFim']);
		$where .= " and data_inclusao >= '".$dateIni->format('Y-m-d H:i').''."'";
		$where .= " and data_inclusao <= '".$dateFim->format('Y-m-d H:i').''."'";
		$entrouEmAlgumFiltro = true;
	}
	if(isset($_POST['data_inclusaoIni']) and $_POST['data_inclusaoIni'] != "" and $_POST['data_inclusaoFim'] != "")
	{
		$dateIni = DateTime::createFromFormat('d/m/Y H:i', $_POST['data_inclusaoIni']);
		$dateFim = DateTime::createFromFormat('d/m/Y H:i', $_POST['data_inclusaoFim']);
		$where .= " and data_inclusao >= '".$dateIni->format('Y-m-d H:i').''."'";
		$where .= " and data_inclusao <= '".$dateFim->format('Y-m-d H:i').''."'";
		$entrouEmAlgumFiltro = true;
	}
	if(isset($_GET['usuario_incluiu']) and $_GET['usuario_incluiu'] != "")
	{
		$where .= " and usuario_incluiu = ". $_GET['usuario_incluiu'];
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&usuario_incluiu=".$_GET["usuario_incluiu"]; 
	}
	if(isset($_POST['usuario_incluiu']) and $_POST['usuario_incluiu'] != "")
	{
		$where .= " and usuario_incluiu = ". $_POST['usuario_incluiu'];
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&usuario_incluiu=".$_POST["usuario_incluiu"]; 
	}
	if(isset($_GET['linha_inicia_cabecalho']) and $_GET["linha_inicia_cabecalho"] != "" )
	{
		$where .= " and UPPER(linha_inicia_cabecalho) like '%".strtoupper($_GET['linha_inicia_cabecalho'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&linha_inicia_cabecalho=".$_GET["linha_inicia_cabecalho"]; 
	}
	if(isset($_POST['linha_inicia_cabecalho']) and $_POST["linha_inicia_cabecalho"] != "" )
	{
		$where .= " and UPPER(linha_inicia_cabecalho) like '%".strtoupper($_POST['linha_inicia_cabecalho'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&linha_inicia_cabecalho=".$_POST["linha_inicia_cabecalho"]; 
	}
	if(isset($_GET['coluna_testa_fim']) and $_GET["coluna_testa_fim"] != "" )
	{
		$where .= " and UPPER(coluna_testa_fim) like '%".strtoupper($_GET['coluna_testa_fim'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&coluna_testa_fim=".$_GET["coluna_testa_fim"]; 
	}
	if(isset($_POST['coluna_testa_fim']) and $_POST["coluna_testa_fim"] != "" )
	{
		$where .= " and UPPER(coluna_testa_fim) like '%".strtoupper($_POST['coluna_testa_fim'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&coluna_testa_fim=".$_POST["coluna_testa_fim"]; 
	}
	if(isset($_GET['texto_teste_fim']) and $_GET["texto_teste_fim"] != "" )
	{
		$where .= " and UPPER(texto_teste_fim) like '%".strtoupper($_GET['texto_teste_fim'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&texto_teste_fim=".$_GET["texto_teste_fim"]; 
	}
	if(isset($_POST['texto_teste_fim']) and $_POST["texto_teste_fim"] != "" )
	{
		$where .= " and UPPER(texto_teste_fim) like '%".strtoupper($_POST['texto_teste_fim'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&texto_teste_fim=".$_POST["texto_teste_fim"]; 
	}
	$listaBi_layout_importacao = $bi_layout_importacaoDAO->buscarFiltro($where);
	include_once($config->diretorio_raiz()."/src/view/bi_layout_importacao/Listar_todos_registros.php");
}
